import type { Got } from 'got' with { 'resolution-mode': 'require' };
import type { Device } from '../types/device/Device';
import type { DeviceSet } from '../types/DeviceSet';
declare const _default: (got: Got) => {
    list(): Promise<DeviceSet[]>;
    create({ name, icon }: Pick<DeviceSet, 'name' | 'icon'>): Promise<{
        id: string;
    }>;
    delete({ id }: {
        id: string;
    }): Promise<void>;
    update({ id, name, icon }: DeviceSet): Promise<void>;
    updateConfiguration({ id, deviceIds, roomId, remoteLinkIds, }: {
        id: string;
        deviceIds: string[];
        roomId?: string;
        remoteLinkIds?: string[];
    }): Promise<void>;
    setIsOn({ id, isOn }: {
        id: string;
        isOn: boolean;
    }): Promise<void>;
    setAttributes({ id, attributes, transitionTime, }: {
        id: string;
        attributes: Partial<Device['attributes']>;
        transitionTime?: number;
    }): Promise<void>;
};
export default _default;
