"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            const devices = await got.get(`devices`).json();
            return devices.filter((d) => d.deviceType === 'environmentSensor');
        },
        async get({ id }) {
            const device = await got.get(`devices/${id}`).json();
            if (device.deviceType !== 'environmentSensor') {
                throw new Error('The requested device is not an environmentSensor');
            }
            return device;
        },
    };
};
