"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            const devices = await got.get(`devices`).json();
            return devices.filter((d) => d.type === 'outlet');
        },
        async get({ id }) {
            const device = await got.get(`devices/${id}`).json();
            if (device.type !== 'outlet') {
                throw new Error('The requested device is not an outlet');
            }
            return device;
        },
        async setIsOn({ id, isOn }) {
            await got
                .patch(`devices/${id}`, {
                json: [
                    {
                        attributes: {
                            isOn,
                        },
                    },
                ],
            })
                .json();
        },
    };
};
