"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            const devices = await got.get(`devices`).json();
            return devices.filter((d) => d.type === 'repeater');
        },
        async get({ id }) {
            const device = await got.get(`devices/${id}`).json();
            if (device.type !== 'repeater') {
                throw new Error('The requested device is not a repeater');
            }
            return device;
        },
    };
};
