import type { Got } from 'got' with { 'resolution-mode': 'require' };
import type { Room } from '../types/Room';
import type { Device } from '../types/device/Device';
declare const _default: (got: Got) => {
    list(): Promise<Room[]>;
    get({ id }: {
        id: string;
    }): Promise<Room>;
    create({ name, icon, color, }: Pick<Room, 'name' | 'icon' | 'color'>): Promise<{
        id: string;
    }>;
    delete({ id }: {
        id: string;
    }): Promise<void>;
    update({ id, name, icon, color }: Room): Promise<void>;
    moveDevices({ id, deviceIds, }: {
        id: string;
        deviceIds: string[];
    }): Promise<void>;
    setIsOn({ id, deviceType, isOn, }: {
        id: string;
        deviceType?: Device['deviceType'];
        isOn: boolean;
    }): Promise<void>;
    setAttributes({ id, deviceType, attributes, transitionTime, }: {
        id: string;
        deviceType?: Device['deviceType'];
        attributes: Partial<Device['attributes']>;
        transitionTime?: number;
    }): Promise<void>;
};
export default _default;
