import type { EnvironmentSensor } from '../../src'

export const environmentSensor: EnvironmentSensor = {
  id: '00000000-0000-0000-0000-000000000000',
  type: 'sensor',
  deviceType: 'environmentSensor',
  createdAt: '2000-01-01T00:00:00.000Z',
  isReachable: true,
  lastSeen: '2000-01-01T00:00:00.000Z',
  attributes: {
    customName: 'Custom name',
    firmwareVersion: '1.0.11',
    hardwareVersion: '1',
    manufacturer: 'IKEA of Sweden',
    model: 'VINDSTYRKA',
    productCode: 'E2112',
    serialNumber: '00000000-0000-0000-0000-000000000000',
    currentTemperature: 23,
    currentRH: 74,
    currentPM25: 2,
    maxMeasuredPM25: 999,
    minMeasuredPM25: 0,
    vocIndex: 59,
    identifyPeriod: 0,
    identifyStarted: '2000-01-01T00:00:00.000Z',
    permittingJoin: false,
    otaPolicy: 'autoUpdate',
    otaProgress: 0,
    otaScheduleEnd: '00:00',
    otaScheduleStart: '00:00',
    otaState: 'readyToCheck',
    otaStatus: 'upToDate',
  },
  capabilities: {
    canSend: [],
    canReceive: ['customName'],
  },
  room: {
    id: '00000000-0000-0000-0000-000000000000',
    name: 'Room',
    color: 'ikea_green_no_65',
    icon: 'rooms_arm_chair',
  },
  deviceSet: [],
  remoteLinks: [],
  isHidden: false,
}
