import type { Light } from '../../src'

export const rgbLight: Light = {
  id: '00000000-0000-0000-0000-000000000000',
  type: 'light',
  deviceType: 'light',
  createdAt: '2000-01-01T00:00:00.000Z',
  isReachable: true,
  lastSeen: '2000-01-01T00:00:00.000Z',
  attributes: {
    customName: 'Custom name',
    model: 'TRADFRI bulb E27 CWS 806lm',
    manufacturer: 'IKEA of Sweden',
    firmwareVersion: '1.0.021',
    hardwareVersion: '1',
    serialNumber: '00000000-0000-0000-0000-000000000000',
    productCode: 'LED1924G9',
    isOn: false,
    startupOnOff: 'startOn',
    lightLevel: 100,
    colorHue: 357.04511627656154,
    colorSaturation: 0.8566289048010559,
    colorTemperature: 2801,
    colorTemperatureMin: 4000,
    colorTemperatureMax: 2202,
    startupTemperature: -1,
    colorMode: 'color',
    identifyStarted: '2000-01-01T00:00:00.000Z',
    identifyPeriod: 0,
    permittingJoin: false,
    otaStatus: 'upToDate',
    otaState: 'readyToCheck',
    otaProgress: 0,
    otaPolicy: 'autoUpdate',
    otaScheduleStart: '00:00',
    otaScheduleEnd: '00:00',
    circadianRhythmMode: '',
  },
  capabilities: {
    canSend: [],
    canReceive: [
      'customName',
      'isOn',
      'lightLevel',
      'colorTemperature',
      'colorHue',
      'colorSaturation',
    ],
  },
  room: {
    id: '00000000-0000-0000-0000-000000000000',
    name: 'Room',
    color: 'ikea_green_no_65',
    icon: 'rooms_arm_chair',
  },
  deviceSet: [],
  remoteLinks: ['00000000-0000-0000-0000-000000000000'],
  isHidden: false,
}

export const colorTemperatureLight: Light = {
  id: '00000000-0000-0000-0000-000000000000',
  type: 'light',
  deviceType: 'light',
  createdAt: '2000-01-01T00:00:00.000Z',
  isReachable: true,
  lastSeen: '2000-01-01T00:00:00.000Z',
  attributes: {
    customName: 'Custom name',
    model: 'TRADFRI bulb E27 WS opal 1000lm',
    manufacturer: 'IKEA of Sweden',
    firmwareVersion: '2.3.095',
    hardwareVersion: '1',
    serialNumber: '00000000-0000-0000-0000-000000000000',
    productCode: 'LED1732G11E27',
    isOn: false,
    startupOnOff: 'startOn',
    lightLevel: 100,
    colorTemperature: 4000,
    colorTemperatureMin: 4000,
    colorTemperatureMax: 2202,
    startupTemperature: -1,
    colorMode: 'temperature',
    identifyStarted: '2000-01-01T00:00:00.000Z',
    identifyPeriod: 0,
    permittingJoin: false,
    otaStatus: 'upToDate',
    otaState: 'readyToCheck',
    otaProgress: 0,
    otaPolicy: 'autoUpdate',
    otaScheduleStart: '00:00',
    otaScheduleEnd: '00:00',
    circadianRhythmMode: '',
  },
  capabilities: {
    canSend: [],
    canReceive: ['customName', 'isOn', 'lightLevel', 'colorTemperature'],
  },
  room: {
    id: '00000000-0000-0000-0000-000000000000',
    name: 'Room',
    color: 'ikea_green_no_65',
    icon: 'rooms_arm_chair',
  },
  deviceSet: [
    {
      id: '00000000-0000-0000-0000-000000000000',
      name: 'Device set',
      icon: 'lighting_pendant_light',
    },
  ],
  remoteLinks: ['00000000-0000-0000-0000-000000000000'],
  isHidden: false,
}

export const dimmableLight: Light = {
  id: '00000000-0000-0000-0000-000000000000',
  type: 'light',
  deviceType: 'light',
  createdAt: '2000-01-01T00:00:00.000Z',
  isReachable: false,
  lastSeen: '2000-01-01T00:00:00.000Z',
  attributes: {
    customName: 'Custom name',
    model: 'STOFTMOLN ceiling/wall lamp WW37',
    manufacturer: 'IKEA of Sweden',
    firmwareVersion: '1.0.006',
    hardwareVersion: '1',
    serialNumber: '00000000-0000-0000-0000-000000000000',
    productCode: 'T2037',
    isOn: true,
    startupOnOff: 'startOn',
    lightLevel: 1,
    identifyStarted: '2000-01-01T00:00:00.000Z',
    identifyPeriod: 0,
    permittingJoin: false,
    otaStatus: 'upToDate',
    otaState: 'readyToCheck',
    otaProgress: 0,
    otaPolicy: 'autoUpdate',
    otaScheduleStart: '00:00',
    otaScheduleEnd: '00:00',
  },
  capabilities: {
    canSend: [],
    canReceive: ['customName', 'isOn', 'lightLevel'],
  },
  room: {
    id: '00000000-0000-0000-0000-000000000000',
    name: 'Room',
    color: 'ikea_green_no_65',
    icon: 'rooms_arm_chair',
  },
  deviceSet: [],
  remoteLinks: [],
  isHidden: false,
}
